%global packagename when
%global enable_tests 0
# tests disabled due to missing dependency on npm(buster)

Name:		nodejs-%{packagename}
Version:	3.7.7
Release:	10%{?dist}
Summary:	A lightweight Promises/A+ and when() implementation

License:	MIT
URL:		https://github.com/cujojs/when
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    docs-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch
BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	nodejs-buster
%endif
Requires:	nodejs

%description
When.js is a rock solid, battle-tested Promises/A+ and when() implementation,
including a complete ES6 Promise shim. It's a powerful combination of small
size, high performance, debuggability, and rich features:

 * Resolve arrays and hashes of promises, as well as infinite promise sequences
 * Execute tasks in parallel or sequentially
 * Transform Node-style and other callback-based APIs into promise-based APIs

When.js is one of the many stand-alone components of cujoJS, the JavaScript
Architectural Toolkit.

%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package


%build
# nothing to do to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ node/ unfold/ monitor/ es6-shim/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test /usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGES.md docs/
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Jared Smith <jsmith@fedoraproject.org> - 3.7.7-1
- Update to upstream 3.7.7 release

* Sat Nov 21 2015 Jared Smith <jsmith@fedoraproject.org> - 3.7.5-1
- Update to upstream 3.7.5 release

* Fri Oct 09 2015 Jared Smith <jsmith@fedoraproject.org> - 3.7.3-3
- Fix spec file for building in EL6

* Wed Oct 07 2015 Jared Smith <jsmith@fedoraproject.org> - 3.7.3-2
- Fix minor packaging issues and disable testing due to missing
  dependencies

* Mon Oct  5 2015 Jared Smith <jsmith@fedoraproject.org> - 3.7.3-1
- Initial packaging
